Index: /code/branches/pickup3/src/modules/pickup/PickupSpawner.h
===================================================================
--- /code/branches/pickup3/src/modules/pickup/PickupSpawner.h	(revision 6419)
+++ /code/branches/pickup3/src/modules/pickup/PickupSpawner.h	(revision 6419)
@@ -0,0 +1,129 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Daniel 'Huty' Haggenmueller
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of PickupSpawner.
+*/
+
+#ifndef _PickupSpawner_H__
+#define _PickupSpawner_H__
+
+#include "pickup/PickupPrereqs.h"
+
+#include <string>
+#include "tools/Timer.h"
+#include "tools/interfaces/Tickable.h"
+#include "worldentities/StaticEntity.h"
+#include "interfaces/Pickupable.h"
+
+namespace orxonox
+{
+    /**
+        @brief PickupSpawner.
+        @author Daniel 'Huty' Haggenmueller
+    */
+    class _OrxonoxExport PickupSpawner : public StaticEntity, public Tickable
+    {
+        public:
+            //TODO: Add limit of items spawned here.
+            PickupSpawner(BaseObject* creator);
+            PickupSpawner(BaseObject* creator, Pickupable* pickup, float triggerDistance, float respawnTime, int maxSpawnedItems);
+            virtual ~PickupSpawner();
+
+            virtual void changedActivity();                                 //!< Invoked when activity has changed (set visibilty).
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< Method for creating a PickupSpawner through XML.
+            virtual void tick(float dt);
+
+            /**
+                @brief Get the distance in which to trigger.
+                @return Returns the distance in which this gets triggered.
+            */
+            inline float getTriggerDistance() const
+                { return this->triggerDistance_; }
+            /**
+                @brief Set the distance in which to trigger.
+                @param value The new distance in which to trigger.
+            */
+            inline void setTriggerDistance(float value)
+                { this->triggerDistance_ = value; }
+
+            /**
+                @brief Get the time to respawn.
+                @returns Returns the time after which this gets re-actived.
+            */
+            inline float getRespawnTime() const
+                { return this->respawnTime_; }
+            /**
+                @brief Set the time to respawn.
+                @param time New time after which this gets re-actived.
+            */
+            inline void setRespawnTime(float time)
+                { this->respawnTime_ = time; }
+
+
+            inline int getMaxSpawnedItems(void)
+                { return this->maxSpawnedItems_; }
+            void setMaxSpawnedItems(int items);
+
+        protected:
+            virtual Pickupable* getPickup(void);
+            
+            void addPickupable(Pickupable* pickup);
+            Pickupable* getPickupable(void);
+            
+            void decrementSpawnsRemaining(void);
+
+        private:
+            void initialize(void);
+            
+            void trigger(Pawn* pawn);                                       //!< Method called when a Pawn is close enough.
+            void respawnTimerCallback();                                    //!< Method called when the timer runs out.
+
+            
+            Pickupable* pickup_;
+
+            int maxSpawnedItems_;                   //!< Maximum number of items spawned by this PickupSpawner.
+            int spawnsRemaining_;                   //!< Number of items that can be spawned by this PickupSpawner until it selfdestructs.
+
+            float triggerDistance_;                 //!< Distance in which this gets triggered.
+
+            /* Pickup animation */
+            float tickSum_;                         //!< Adds up tick to use in sine movement
+            static const float bounceSpeed_s;       //!< Speed of pickup to bounce up and down
+            static const float bounceDistance_s;    //!< Distance the pickup bounces up and down
+            static const float rotationSpeed_s;     //!< Rotation speed of pickup
+
+            float respawnTime_;                     //!< Time after which this gets re-actived.
+            Timer respawnTimer_;                    //!< Timer used for re-activating.
+
+            static const int INF = -1;             //!< Constant for infinity.
+    };
+}
+
+#endif /* _PickupSpawner_H__ */
Index: /code/branches/pickup3/src/modules/weapons/projectiles/Projectile.cc
===================================================================
--- /code/branches/pickup3/src/modules/weapons/projectiles/Projectile.cc	(revision 6418)
+++ /code/branches/pickup3/src/modules/weapons/projectiles/Projectile.cc	(revision 6419)
@@ -124,6 +124,7 @@
 
             float dmg = this->damage_;
-            if (this->owner_)
-                dmg = this->owner_->getPickups().processModifiers(ModifierType::Damage, dmg, false);
+            //TODO: Remove.
+//             if (this->owner_)
+//                 dmg = this->owner_->getPickups().processModifiers(ModifierType::Damage, dmg, false);
 
             Pawn* victim = orxonox_cast<Pawn*>(otherObject);
Index: /code/branches/pickup3/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/pickup3/src/orxonox/CMakeLists.txt	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/CMakeLists.txt	(revision 6419)
@@ -47,5 +47,4 @@
 ADD_SUBDIRECTORY(items)
 ADD_SUBDIRECTORY(overlays)
-ADD_SUBDIRECTORY(pickup)
 ADD_SUBDIRECTORY(sound)
 ADD_SUBDIRECTORY(weaponsystem)
@@ -58,6 +57,4 @@
     MoodManager.h
     controllers/HumanController.h
-    pickup/BaseItem.h
-    pickup/PickupInventory.h
     sound/SoundManager.h
   DEFINE_SYMBOL
Index: /code/branches/pickup3/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- /code/branches/pickup3/src/orxonox/OrxonoxPrereqs.h	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/OrxonoxPrereqs.h	(revision 6419)
@@ -117,4 +117,6 @@
     class GametypeMessageListener;
     class NotificationListener;
+    class Pickupable;
+    class PickupCarrier;
     class PlayerTrigger;
     class RadarListener;
@@ -133,19 +135,4 @@
     class OrxonoxOverlay;
     class OverlayGroup;
-
-    // pickup
-    class BaseItem;
-    class DroppedItem;
-    class EquipmentItem;
-    class ModifierPickup;
-    class PassiveItem;
-    class PickupCollection;
-    class PickupInventory;
-    class PickupSpawner;
-    class UsableItem;
-    // pickup, items
-    class HealthImmediate;
-    class HealthUsable;
-    class Jump;
 
     //sound
Index: /code/branches/pickup3/src/orxonox/interfaces/InterfaceCompilation.cc
===================================================================
--- /code/branches/pickup3/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 6419)
@@ -34,4 +34,6 @@
 
 #include "GametypeMessageListener.h"
+#include "Pickupable.h"
+#include "PickupCarrier.h"
 #include "PlayerTrigger.h"
 #include "RadarListener.h"
@@ -51,5 +53,35 @@
         RegisterRootObject(GametypeMessageListener);
     }
+    
+    //----------------------------
+    // Pickupable
+    //----------------------------
+    Pickupable::Pickupable()
+    {
+        RegisterRootObject(Pickupable);
 
+        this->used_ = false;
+        this->owner_ = NULL;
+    }
+    
+    //----------------------------
+    // PickupCarrier
+    //----------------------------
+    PickupCarrier::PickupCarrier()
+    {
+        RegisterRootObject(PickupCarrier);
+    }
+
+    //----------------------------
+    // PlayerTrigger
+    //----------------------------
+    PlayerTrigger::PlayerTrigger()
+    {
+        RegisterRootObject(PlayerTrigger);
+
+        this->player_ = NULL;
+        this->isForPlayer_ = true;
+    }
+    
     //----------------------------
     // RadarListener
@@ -83,14 +115,3 @@
         RegisterRootObject(NotificationListener);
     }
-
-    //----------------------------
-    // PlayerTrigger
-    //----------------------------
-    PlayerTrigger::PlayerTrigger()
-    {
-        RegisterRootObject(PlayerTrigger);
-
-        this->player_ = NULL;
-        this->isForPlayer_ = true;
-    }
 }
Index: /code/branches/pickup3/src/orxonox/interfaces/PickupCarrier.h
===================================================================
--- /code/branches/pickup3/src/orxonox/interfaces/PickupCarrier.h	(revision 6419)
+++ /code/branches/pickup3/src/orxonox/interfaces/PickupCarrier.h	(revision 6419)
@@ -0,0 +1,60 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of the PickupCarrier class.
+*/
+
+#ifndef _PickupCarrier_H__
+#define _PickupCarrier_H__
+
+#include "OrxonoxPrereqs.h"
+#include "core/OrxonoxClass.h"
+
+#include <set>
+
+namespace orxonox
+{
+
+    class _OrxonoxExport PickupCarrier : public OrxonoxClass
+    {
+        
+        public:
+            PickupCarrier();
+            virtual ~PickupCarrier();
+        
+        private:
+            
+            std::set<Pickupable*> pickups_;
+        
+    };
+    
+}
+
+#endif /* _PickupCarrier_H__ */
Index: /code/branches/pickup3/src/orxonox/interfaces/Pickupable.h
===================================================================
--- /code/branches/pickup3/src/orxonox/interfaces/Pickupable.h	(revision 6419)
+++ /code/branches/pickup3/src/orxonox/interfaces/Pickupable.h	(revision 6419)
@@ -0,0 +1,197 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file
+    @brief Definition of the Pickupable class.
+*/
+
+#ifndef _Pickupable_H__
+#define _Pickupable_H__
+
+#include "OrxonoxPrereqs.h"
+#include "core/OrxonoxClass.h"
+
+#include "core/Identifier.h"
+#include "core/Super.h"
+#include "interfaces/PickupCarrier.h"
+#include "worldentities/pawns/Pawn.h"
+#include <list>
+
+namespace orxonox
+{
+
+    //! Enum for the activation type.
+    namespace pickupActivationType
+    {
+        enum Value
+        {
+            immediate,
+            onUse,
+        };
+    }
+    
+    //! Enum for the duration tyoe.
+    namespace pickupDurationType
+    {
+        enum Value
+        {
+            once,
+            continuous,
+        };
+    }
+    
+    /**
+    @brief
+        An Interface (or more precisely an abstract Class) to model and manage different (all kinds of) pickups.
+    @author
+        Damian 'Mozork' Frick
+    */
+    //TODO: Add stuff like weight/space ?
+    class _OrxonoxExport Pickupable : virtual public OrxonoxClass
+    {
+        public:
+            Pickupable(); //!< Default constructor.
+            virtual ~Pickupable() {} //!< Default destructor.
+            
+            /**
+            @brief Get the activation type of the pickup.
+            @return Returns the activation type of the pickup.
+            */
+            inline pickupActivationType::Value getActivationType(void)
+                { return this->activationType_; }
+            /**
+            @brief Get the duration type of the pickup.
+            @return Returns the duration type of the pickup.
+            */
+            inline pickupDurationType::Value getDurationType(void)
+                { return this->durationType_; }
+                
+            /**
+            @brief Get the owner of the pickup.
+            @return Returns a pointer to the owner of the pickup.
+            */
+            inline PickupCarrier* getOwner(void)
+                { return this->owner_; }
+                
+            /**
+            @brief Get whether the pickup is currently in use or not.
+            @return Returns true if the pickup is currently in use.
+            */
+            inline bool isUsed(void)
+                { return this->used_; }
+                
+            /**
+            @brief Get whether the given pawn is a target of this pickup.
+            @param pawn The Pawn of which it has to be determinde whether it is a target of this pickup.
+            @return Retruns true if the given Pawn is a target.
+            */
+            //TODO: Determine whether Pawn includes all possible cases and if PickupCarrier wouldn't be better.
+            inline bool isTarget(Pawn* pawn)
+                {
+                    Identifier* identifier = pawn->getIdentifier();
+                    for(std::list<Identifier*>::iterator it = this->targets_.begin(); it != this->targets_.end(); it++)
+                    {
+                        if(identifier->isA(*it))
+                            return true;
+                    }
+                    return false;
+                }
+                
+            /**
+            @brief  Should be called when the pickup has transitetd from used to unused or the other way around.
+                    Any Class overwriting this method must call its SUPER function by adding SUPER(Classname, changedUsed); to their changeUsed method.
+            */
+            virtual inline void changedUsed(void)
+                {
+                    if(this->isUsed())
+                        this->used_ = false;
+                    else
+                        this->used_ = true;
+                }
+
+            /**
+            @brief  Sets the pickup to used and makes sure the effects of the pickup take effect at the right places.
+                    This method needs to be implemented by any Class inheriting from Pickupable.
+            @return Returns false if for some reason the method could not take effect, e.g. because it is already in use, or some other circumstance.
+            */
+            virtual bool use(void) = 0;
+            /**
+            @brief  Sets the pickup to unused and makes sure the effects of the pickup no longer take effect.
+                    This method needs to be implemented by any Class inheriting from Pickupable.
+            @return Returns false if for some reason the method could not take effect, e.g. because the pickup is already unused, or some other circumstance.
+            */
+            virtual bool unuse(void) = 0;
+            
+            /**
+            @brief  Adds the pickup to the input PickupCarrier.
+                    This method needs to be implemented by any Class inheriting from Pickupable.
+            @return Returns false if, for some reason, the pickup could not be picked up.
+            */
+            //TODO: Maybe better in PickupCarrier?
+            virtual bool pickup(PickupCarrier* carrier) = 0;
+            /**
+            @brief  Drops the pickup. Creates a PickupSpawner at the place the Pickup has been dropped.
+                    This method needs to be implemented by any Class inheriting from Pickupable.
+            @return Returns false if the pickup could not be dropped.
+            */
+            //TODO: Probably could be done here?
+            virtual bool drop(void) = 0;
+            
+            /**
+            @brief  Creates a duplicate of the pickup.
+                    This method needs to e implemented by any Class inheriting from Pickupable.
+            @return Returns the clone of this pickup as a pointer to a Pickupable.
+            */
+            //TODO: Would be nicer if standard case was implemented here.
+            virtual Pickupable* clone(void) = 0;
+            
+            /**
+            @brief Sets the owner of the pickup.
+            @param owner Sets the input PickupCarrier as the owner of the pickup.
+            */
+            //TODO: Protected? Check for NULL and return true/false?
+            inline void setOwner(PickupCarrier* owner)
+                { this->owner_ = owner; }
+            
+        private:
+            
+            pickupActivationType::Value activationType_; //!< The activation type of the Pickup.
+            pickupDurationType::Value durationType_; //!< The duration type of the pickup.
+            
+            bool used_; //!< Whether the pickup is currently in use or not.
+            
+            PickupCarrier* owner_; //!< The owner of the pickup.
+            std::list<Identifier*> targets_; //!< The possible targets of this pickup.
+
+    };
+    
+    SUPER_FUNCTION(10, Pickupable, changedUsed, true)
+}
+
+#endif /* _Pickupable_H__ */
Index: /code/branches/pickup3/src/orxonox/items/Engine.cc
===================================================================
--- /code/branches/pickup3/src/orxonox/items/Engine.cc	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/items/Engine.cc	(revision 6419)
@@ -35,5 +35,6 @@
 #include "Scene.h"
 #include "worldentities/pawns/SpaceShip.h"
-#include "pickup/ModifierType.h"
+//TODO: Remove.
+//#include "pickup/ModifierType.h"
 #include "tools/Shader.h"
 
@@ -193,5 +194,6 @@
         }
 
-        this->ship_->setAcceleration(this->ship_->getPickups().processModifiers(ModifierType::Acceleration, this->ship_->getOrientation() * acceleration, false));
+        //TODO: Remove.
+        //this->ship_->setAcceleration(this->ship_->getPickups().processModifiers(ModifierType::Acceleration, this->ship_->getOrientation() * acceleration, false));
 
         if (!this->ship_->getPermanentBoost())
Index: /code/branches/pickup3/src/orxonox/pickup/BaseItem.cc
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/BaseItem.cc	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/BaseItem.cc	(revision 6419)
@@ -41,6 +41,6 @@
 {
     /**
-        @brief Constructor. Registers the BaseItem.
-        @param creator Pointer to the object which created this item.
+    @brief Constructor. Registers the BaseItem.
+    @param creator Pointer to the object which created this item.
     */
     BaseItem::BaseItem(BaseObject* creator) : BaseObject(creator)
@@ -59,7 +59,7 @@
 
     /**
-        @brief XMLPort for BaseItem.
-        @param xmlelement Element of the XML-file.
-        @param mode XMLPort mode to use.
+    @brief XMLPort for BaseItem.
+    @param xmlelement Element of the XML-file.
+    @param mode XMLPort mode to use.
     */
     void BaseItem::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -72,7 +72,7 @@
 
     /**
-        @brief Method to add the item to a pawn.
-        @param pawn Pawn to which the item should get added.
-        @return Returns whether the pawn's PickupCollection accepted the item.
+    @brief Method to add the item to a pawn.
+    @param pawn Pawn to which the item should get added.
+    @return Returns whether the pawn's PickupCollection accepted the item.
     */
     bool BaseItem::addTo(Pawn* pawn)
@@ -80,5 +80,5 @@
         this->setOwner(pawn);
 
-        if (pawn->getPickups().add(this))
+        if (pawn->getPickups().add(this)) //TODO: Does the pawn store his pickups?
         {
             COUT(3) << "Added '" << this->getPickupIdentifier() << "' item." << std::endl;
Index: /code/branches/pickup3/src/orxonox/pickup/BaseItem.h
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/BaseItem.h	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/BaseItem.h	(revision 6419)
@@ -44,30 +44,31 @@
 {
     /**
-        @brief
-            Base class for all items/pickups.
+    @brief
+        Base class for all items/pickups.
 
-            Provides common methods to be used in derived classes.
-        @author
-            Daniel 'Huty' Haggenmueller
+        Provides common methods to be used in derived classes.
+    @author
+        Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport BaseItem : public BaseObject
     {
 // tolua_end
-    public:
-        BaseItem(BaseObject* creator);
-        virtual ~BaseItem();
+        public:
+            BaseItem(BaseObject* creator);
+            virtual ~BaseItem();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
 
-        /**
+            /**
             @brief Checks how many instances of this item can be carried at a time.
             @return How many of this item can be carried.
-        */
-        virtual int getMaxCarryAmount() const
-            { return 1; }
+            */
+            virtual int getMaxCarryAmount() const //TODO: Maybe, better to just be virtual.
+                { return BaseItem::MAX_CARRY_AMOUNT; }
 
-        bool addTo(Pawn* pawn);             //!< Add the item to a pawn.
-        bool removeFrom(Pawn* pawn);        //!< Removes the item from a pawn.
-        /**
+            //TODO: Need to be public?
+            bool addTo(Pawn* pawn);             //!< Add the item to a pawn.
+            bool removeFrom(Pawn* pawn);        //!< Removes the item from a pawn.
+            /**
             @brief
                 Method invoked when the item gets picked up.
@@ -78,8 +79,8 @@
             @param pawn Pawn who picks up the item.
             @return Returns whether the pawn was able to pick up the item.
-        */
-        virtual bool pickedUp(Pawn* pawn)
-            { return false; }
-        /**
+            */
+            virtual bool pickedUp(Pawn* pawn) //TODO: Maybe better to be just virtual.
+                { return false; }
+            /**
             @brief
                 Method invoked when the item is dropped from a player.
@@ -90,49 +91,53 @@
             @param pawn Pawn which dropped the item.
             @return Returns whether the item was able to get dropped by the pawn.
-        */
-        virtual bool dropped(Pawn* pawn)
-            { return false; }
+            */
+            virtual bool dropped(Pawn* pawn)
+                { return false; }
 
-        /**
+            /**
             @brief Gets the current owner of the pickup.
             @return Returns the current owner.
-        */
-        inline Pawn* getOwner() const
-            { return this->owner_; }
-        /**
+            */
+            inline Pawn* getOwner() const
+                { return this->owner_; }
+            /**
             @brief Sets the owner of the pickup.
             @param owner New owner for the pickup.
-        */
-        inline void setOwner(Pawn* owner)
-            { this->owner_ = owner; }
+            */
+            inline void setOwner(Pawn* owner)
+                { this->owner_ = owner; }
 
-        /**
+            /**
             @brief Gets the pickupIdentifier of the item.
             @return Returns the pickupIdentifier of the item.
             @see pickupIdentifier_
-        */
-        inline const std::string& getPickupIdentifier() const
-            { return this->pickupIdentifier_; }
-        /**
+            */
+            inline const std::string& getPickupIdentifier() const
+                { return this->pickupIdentifier_; }
+            /**
             @brief Sets the pickupIdentifier for the item.
             @param identifier New pickupIdentifier for the item.
             @see pickupIdentifier_
-        */
-        inline void setPickupIdentifier(const std::string& identifier)
-            { this->pickupIdentifier_ = identifier; }
+            */
+            //TODO: Needs to be public?
+            inline void setPickupIdentifier(const std::string& identifier)
+                { this->pickupIdentifier_ = identifier; }
 
-        // GUI stuff
-        virtual const std::string& getGUIText() const; // tolua_export
-        inline void setGUIText(const std::string& text)
-            { this->guiText_ = text; }
+            // GUI stuff
+            //TODO: Comment. Maybe seperate GUI from Pickup, e.g. ItemDescription...
+            virtual const std::string& getGUIText() const; // tolua_export
+            inline void setGUIText(const std::string& text)
+                { this->guiText_ = text; }
 
-        virtual const std::string& getGUIImage() const
-            { return this->guiImage_; }
-        inline void setGUIImage(const std::string& image)
-            { this->guiImage_ = image; }
-    private:
-        Pawn* owner_;   //!< The current owner of the item.
+            virtual const std::string& getGUIImage() const
+                { return this->guiImage_; }
+            inline void setGUIImage(const std::string& image)
+                { this->guiImage_ = image; }
+        private:
+            static const int MAX_CARRY_AMOUNT = 1;
 
-        /**
+            Pawn* owner_;   //!< The current owner of the item.
+
+            /**
             @brief
                 The pickupIdentifier of the item..
@@ -140,9 +145,10 @@
                 Usually set to the template name used by a PickupSpawner,
                 used to index items in the PickupCollection.
-        */
-        std::string pickupIdentifier_;
+            */
+            std::string pickupIdentifier_; //TODO: Remove, when always just this->getName().
 
-        std::string guiText_;
-        std::string guiImage_;
+            //TODO: Comment.
+            std::string guiText_;
+            std::string guiImage_;
     }; // tolua_export
 } // tolua_export
Index: /code/branches/pickup3/src/orxonox/pickup/CMakeLists.txt
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/CMakeLists.txt	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/CMakeLists.txt	(revision 6419)
@@ -1,5 +1,4 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   BaseItem.cc
-  DroppedItem.cc
   EquipmentItem.cc
   ModifierPickup.cc
@@ -7,5 +6,4 @@
   PickupCollection.cc
   PickupInventory.cc
-  PickupSpawner.cc
   UsableItem.cc
 )
Index: /code/branches/pickup3/src/orxonox/pickup/EquipmentItem.h
===================================================================
--- /code/branches/pickup3/src/orxonox/pickup/EquipmentItem.h	(revision 6418)
+++ /code/branches/pickup3/src/orxonox/pickup/EquipmentItem.h	(revision 6419)
@@ -41,12 +41,17 @@
 {
     /**
-        @brief Base class for all equipment-type items.
-        @author Daniel 'Huty' Haggenmueller
+    @brief Base class for all equipment-type items.
+    @author Daniel 'Huty' Haggenmueller
     */
     class _OrxonoxExport EquipmentItem : public BaseItem
     {
-    public:
-        EquipmentItem(BaseObject* creator);
-        virtual ~EquipmentItem() {}
+        //TODO: What is this class for?
+        //Probably falls under UsableItem or PassiveItem
+        public:
+            EquipmentItem(BaseObject* creator);
+            virtual ~EquipmentItem() {}
+
+        
+
     };
 }
